Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
luaservice::Environment Struct Reference

The struct represents two kinds of information: More...

`import "LuaService.idl";`

## Public Attributes
int | maxScriptMemoryGrowth
| maximum virtual memory growth per script (l)
int | maxAmountOfScripts
| number of scripts that can be stored (l)
int | amountOfScripts
| number of scripts that are stored (cs)
int | maxScriptSize
| maximum size of a script file (l)
int | maxAllScriptSize
| maximum size of all script files (l)
int | allScriptSize
| size of all script files (cs)
int | outputBufferSize
| output buffer size per script (l)
int | restartInterval
| minimum delay to next (re)start (cs)
int | autoStartDelay
| minimum delay to 'autoStart' a script

## Detailed Description

The struct represents two kinds of information:

- limit (l)
- current status (cs) Is a limit set to zero then there is no limit set. The unit of size is byte. The unit of interval is millisecond.

Definition at line 81 of file LuaService.idl.

## Member Data Documentation

## ◆ allScriptSize

int luaservice::Environment::allScriptSize

size of all script files (cs)

Definition at line 87 of file LuaService.idl.

## ◆ amountOfScripts

int luaservice::Environment::amountOfScripts

number of scripts that are stored (cs)

Definition at line 84 of file LuaService.idl.

## ◆ autoStartDelay

int luaservice::Environment::autoStartDelay

minimum delay to 'autoStart' a script

Definition at line 90 of file LuaService.idl.

## ◆ maxAllScriptSize

int luaservice::Environment::maxAllScriptSize

maximum size of all script files (l)

Definition at line 86 of file LuaService.idl.

## ◆ maxAmountOfScripts

int luaservice::Environment::maxAmountOfScripts

number of scripts that can be stored (l)

Definition at line 83 of file LuaService.idl.

## ◆ maxScriptMemoryGrowth

int luaservice::Environment::maxScriptMemoryGrowth

maximum virtual memory growth per script (l)

Definition at line 82 of file LuaService.idl.

## ◆ maxScriptSize

int luaservice::Environment::maxScriptSize

maximum size of a script file (l)

Definition at line 85 of file LuaService.idl.

## ◆ outputBufferSize

int luaservice::Environment::outputBufferSize

output buffer size per script (l)

Definition at line 88 of file LuaService.idl.

## ◆ restartInterval

int luaservice::Environment::restartInterval

minimum delay to next (re)start (cs)

Definition at line 89 of file LuaService.idl.

The documentation for this struct was generated from the following file:

- LuaService.idl